Next: KIND, Previous: ITIME, Up: Intrinsic Procedures

### 8.138 `KILL` — Send a signal to a process

Description:
Standard:
  Sends the signal specified by SIGNAL to the process PID. See `kill(2)`.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Class:
  Subroutine, function
Syntax:

  `CALL KILL(C, VALUE [, STATUS])`
  `STATUS = KILL(C, VALUE)`

Arguments:

  C | Shall be a scalar `INTEGER`, with `INTENT(IN)`
  VALUE | Shall be a scalar `INTEGER`, with `INTENT(IN)`
  STATUS | (Optional) status flag of type `INTEGER(4)` or `INTEGER(8)`. Returns 0 on success, or a system-specific error code otherwise.

See also:
  ABORT, EXIT